org.apache.flume.channel

## Class ChannelSelectorFactory

- java.lang.Object
- - org.apache.flume.channel.ChannelSelectorFactory

-     public class ChannelSelectorFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelSelectorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChannelSelector` | `create(List<Channel> channels, ChannelSelectorConfiguration conf)`
    `static ChannelSelector` | `create(List<Channel> channels, Map<String,String> config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelSelectorFactory

          public ChannelSelectorFactory()

  - ### Method Detail

    - #### create

          public static ChannelSelector create(List<Channel> channels,
                               Map<String,String> config)

    - #### create

          public static ChannelSelector create(List<Channel> channels,
                               ChannelSelectorConfiguration conf)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.